org.hibernate.search.analyzer.impl

## Class LuceneAnalyzerReference

- java.lang.Object
- - org.hibernate.search.analyzer.impl.LuceneAnalyzerReference

- All Implemented Interfaces:
    Closeable, AutoCloseable, AnalyzerReference
  Direct Known Subclasses:
    NamedLuceneAnalyzerReference, ScopedLuceneAnalyzerReference, SimpleLuceneAnalyzerReference

      public abstract class LuceneAnalyzerReference
      extends Object
      implements AnalyzerReference

  A reference to an `Analyzer`.
  Author:
    Davide D'Alto

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneAnalyzerReference()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Analyzer` | `getAnalyzer()`
    `<T extends AnalyzerReference> boolean` | `is(Class<T> analyzerType)` Check if the analyzer can be represented using a specific class.
    `<T extends AnalyzerReference> T` | `unwrap(Class<T> analyzerType)` Convert this instance to T

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.analyzer.spi.AnalyzerReference

      `close, isNormalizer`

- - ### Constructor Detail

    - #### LuceneAnalyzerReference

          public LuceneAnalyzerReference()

  - ### Method Detail

    - #### getAnalyzer

          public abstract Analyzer getAnalyzer()

    - #### is

          public <T extends AnalyzerReference> boolean is(Class<T> analyzerType)

      Description copied from interface: `AnalyzerReference`
      Check if the analyzer can be represented using a specific class.
      Specified by:
        `is` in interface `AnalyzerReference`
      Parameters:
        `analyzerType` - an `AnalyzerReference` type
      Returns:
        true if this implementation can be represented as an instance of T

    - #### unwrap

          public <T extends AnalyzerReference> T unwrap(Class<T> analyzerType)

      Description copied from interface: `AnalyzerReference`
      Convert this instance to T
      Specified by:
        `unwrap` in interface `AnalyzerReference`
      Type Parameters:
        `T` - an `AnalyzerReference` type
      Parameters:
        `analyzerType` - the class T
      Returns:
        this instance as T

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved